Package org.eclipse.birt.report.model.api.simpleapi

# Interface IReportElement

All Superinterfaces:
  `IDesignElement`

All Known Subinterfaces:
  `IAutoText`, `IDataItem`, `IDynamicText`, `IExtendedItem`, `IGrid`, `IImage`, `ILabel`, `IList`, `IListing`, `IMasterPage`, `IMultiRowItem`, `IReportItem`, `ITable`, `ITextItem`

All Known Implementing Classes:
  `MultiRowItem`, `SimpleRowItem`

public interface IReportElement extends IDesignElement
Represents a the design of a report element in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getComments()`
Gets the comments of the report element.
`String`
`getCustomXml()`
Gets the custom XML.
`String`
`getDisplayName()`
Gets the display name.
`String`
`getDisplayNameKey()`
Gets the resource key of the display name.
`String`
`getName()`
Returns the name of this element.
`void`
`setComments(String theComments)`
Sets the comments of the report element.
`void`
`setCustomXml(String customXml)`
Sets the custom XML.
`void`
`setDisplayName(String displayName)`
Sets the display name.
`void`
`setDisplayNameKey(String displayNameKey)`
Sets the resource key of the display name.
`void`
`setName(String name)`
Sets the name of this element.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

## Method Details

### setCustomXml

void setCustomXml(String customXml) throws SemanticException
Sets the custom XML.

Parameters:
  `customXml` - the custom XML to set
Throws:
  `SemanticException` - if the custom XML is locked or not defined on this element.

### getCustomXml

String getCustomXml()
Gets the custom XML.

Returns:
  the custom XML

### setComments

void setComments(String theComments) throws SemanticException
Sets the comments of the report element.

Parameters:
  `theComments` - the comments to set
Throws:
  `SemanticException` - if the comments property is locked or not defined on this element.

### getComments

String getComments()
Gets the comments of the report element.

Returns:
  the comments of the report element

### setDisplayNameKey

void setDisplayNameKey(String displayNameKey) throws SemanticException
Sets the resource key of the display name.

Parameters:
  `displayNameKey` - the resource key of the display name
Throws:
  `SemanticException` - if the display name resource-key property is locked or not defined on this element.

### getDisplayNameKey

String getDisplayNameKey()
Gets the resource key of the display name.

Returns:
  the resource key of the display name

### setDisplayName

void setDisplayName(String displayName) throws SemanticException
Sets the display name.

Parameters:
  `displayName` - the display name
Throws:
  `SemanticException` - if the display name property is locked or not defined on this element.

### getDisplayName

String getDisplayName()
Gets the display name.

Returns:
  the display name

### getName

String getName()
Returns the name of this element. Returns `null` if the element does not have a name. Many elements do not require a name. The name does not inherit. If this element does not have a name, it will not inherit the name of its parent element.

Returns:
  the element name, or null if the name is not set

### setName

void setName(String name) throws SemanticException
Sets the name of this element. If the name is `null`, then the name is cleared if this element does not require a name.

Parameters:
  `name` - the new name
Throws:
  `SemanticException` - if the name is duplicate, or if the name is `null` and this element requires a name.